# Schema for the configuration files of the Migrate module.

migrate.migration.*:
  type: config_entity
  label: 'Migration'
  mapping:
    id:
      type: string
      label: 'ID'
    migration_tags:
      type: sequence
      label: 'Migration Tags'
      sequence:
        type: string
        label: 'Tag'
    label:
      type: label
      label: 'Label'
    source:
      type: migrate.source.[plugin]
      label: 'Source'
    process:
      type: ignore
      label: 'Process'
    destination:
      type: migrate.destination.[plugin]
      label: 'Destination'
    template:
      type: string
      label: 'Template'
    migration_dependencies:
      type: mapping
      label: 'Dependencies'
      mapping:
        required:
          type: sequence
          label: 'Required dependencies'
          sequence:
            type: string
            label: 'Dependency'
        optional:
          type: sequence
          label: 'Optional dependencies'
          sequence:
            type: string
            label: 'Dependency'
